Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047059
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajoralways2021-06-10 18:342021-06-21 07:42
ReporteralainperezView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR20Q3.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047059: When you paid with credit note the expiration date is wrong (recalculated).

DescriptionWhen you create a Credit Note the expiration date is OK in backoffice and the printing in the HM

But if you use some days later partially the credit Note in a sale the expiration date in backoffice is maintained, but the expiration date in the printed credit note is wrong (recalculated)
Steps To Reproduce1- Configure "Credit Note expirations days" > 0 for the store organization
2- In the WebPOS make a receipt
3- Pay with credit note
3. In the print data the expiration date is recalculated, in the backoffice it is maintained
Proposed SolutionKeep the expiration date when paying with a credit note
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129655)
hgbot (developer)
2021-06-18 17:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/74 [^]
(0129676)
hgbot (developer)
2021-06-21 07:42

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/74 [^]
(0129677)
hgbot (developer)
2021-06-21 07:42

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards [^]
Changeset: 98e78c61c07b9eea3e8be136e76e5ece2a2ac0d9
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-06-17T19:08:13-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/98e78c61c07b9eea3e8be136e76e5ece2a2ac0d9 [^]

Fixed BUG-47059: Take expiration date from giftcard data instead recalculate it

---
M web/org.openbravo.retail.giftcards/js/hooks/preaddpaymenthook.js
---

- Issue History
Date Modified Username Field Change
2021-06-10 18:34 alainperez New Issue
2021-06-10 18:34 alainperez Assigned To => Retail
2021-06-10 18:34 alainperez Triggers an Emergency Pack => No
2021-06-11 00:29 rafaroda Tag Attached: NOR
2021-06-14 10:55 sebastien_liron Priority normal => urgent
2021-06-14 10:55 sebastien_liron Target Version => RR20Q3.4
2021-06-17 00:50 rqueralta Assigned To Retail => rqueralta
2021-06-17 00:50 rqueralta Status new => scheduled
2021-06-18 17:40 hgbot Note Added: 0129655
2021-06-21 07:42 hgbot Note Added: 0129676
2021-06-21 07:42 hgbot Resolution open => fixed
2021-06-21 07:42 hgbot Status scheduled => closed
2021-06-21 07:42 hgbot Note Added: 0129677


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker